Subject: Re: [PATCH v2 04/30] gc: use hook library for pre-auto-gc hook

From: Emily Shaffer <[email-masked]>
Date: Mon, 14 Jun 2021 16:57:21 -0700

On Mon, Jun 14, 2021 at 12:32:53PM +0200, Ævar Arnfjörð Bjarmason wrote:
> 
> 
> Using the hook.h library instead of the run-command.h library to run
> pre-auto-gc means that those hooks can be set up in config files, as
> well as in the hookdir. pre-auto-gc is called only from builtin/gc.c.

I think all the commit messages in "convert x to hook library" commits I
wrote extol the virtues of config-based hooks. Since that's not part of
your reroll, I expect we should change the commit messages too.

 - Emily